Bug 109087 - during samba transfers the system looses the static mapping
during samba transfers the system looses the static mapping
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-04 17:56 EST by Lehi Gracia
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:33:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lehi Gracia 2003-11-04 17:56:05 EST
Description of problem:
During transfers from windows clients, if samba is used on the 
server, after an undetermined number of hours (anywhere from 5 to 20, 
it varies every time) the system will release its STATIC ip address 
and get an ip address from the DHCP server.

Version-Release number of selected component (if applicable):
Redhat9 and Redhat EL AS 3.0

How reproducible:
every time but after some hours.

Steps to Reproduce:
1.install redhat9 with samba
smb.conf
#start
[global]
        workgroup = WORKGROUP
        server string =
        netbios name = SERVER
        security = user
        encrypt passwords = true
        username map = /etc/samba/smbusers
        smb passwd file = /etc/samba/smbpasswd
        log file = /var/log/samba/log.%m
        max log size = 100
        socket options = TCP_NODELAY SO_SNDBUF=8192 SO_RCVBUF=8192
        os level = 36
        follow symlinks = Yes
        load printers = No

[share]
	path = /share
	read only = no
	browseable = yes
#end

2.enter a static ip
3.have a DHCP server on the network so this system can get to it
4.run a script to copy the content of a CD to the system and then 
delete it, loop it forever
5.after some hours, usualy less than 24, it will fail and get an IP 
from the DHCP
  
Actual results:
the script stops with errors and linux server has no longer the 
static ip
ifconfig shows an ip from the dhcp
./ifcfg-eth0 shows the static IP with BOOTPROTO=static

Expected results:
loop forever

Additional info:
i have a cisco 3500XL switch that i wouldn't think it has anything to 
do with it.
Comment 1 Bill Nottingham 2006-08-04 23:33:58 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:33:23 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.